Bug 136793 - hid-core.c: input irq status -71 received
hid-core.c: input irq status -71 received
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 08:54 EDT by Michael A. Peters
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2004-10-22 08:54:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
Whenever in console, and all through /var/log/messages is the
following error:

drivers/usb/input/hid-core.c: input irq status -71 received

It happens sometimes quite often.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.639

How reproducible:
Always

Steps to Reproduce:
1. switch to console or read /var/log/messages
2.
3.
    

Actual Results:  [root@devel log]# grep "hid-core" messages |head -10
Oct 17 02:28:21 devel kernel: drivers/usb/input/hid-core.c: input irq
status -71 received
Oct 17 02:30:18 devel kernel: drivers/usb/input/hid-core.c: input irq
status -71 received
Oct 17 02:52:40 devel kernel: drivers/usb/input/hid-core.c: input irq
status -71 received
Oct 17 02:56:41 devel kernel: drivers/usb/input/hid-core.c: input irq
status -71 received
Oct 17 03:01:10 devel kernel: drivers/usb/input/hid-core.c: input irq
status -71 received
Oct 17 04:01:02 devel kernel: drivers/usb/input/hid-core.c: input irq
status -71 received
Oct 17 04:02:04 devel kernel: drivers/usb/input/hid-core.c: input irq
status -71 received
Oct 17 04:05:22 devel kernel: drivers/usb/input/hid-core.c: input irq
status -71 received
Oct 17 04:06:06 devel kernel: drivers/usb/input/hid-core.c: input irq
status -71 received
Oct 17 04:08:49 devel kernel: drivers/usb/input/hid-core.c: input irq
status -71 received
[root@devel log]# 

Expected Results:  Not that

Additional info:

A7N8X Deluxe mobo (nforce2 chipset)
USB devices attached to USB1 bus: Logitech optical mouse (works), TI
USB graph link cable (I haven't tried to use that in FC3T3)

Attached to USB2 bus: HP DeskJet 841C (rarely use it - haven't in FC3T3)
Dazzle HI Speed Flash Card reader (haven't used in FC3T3, works in FC2)
Comment 1 Michael A. Peters 2004-12-01 21:13:39 EST
OK - this makes ZERO sense to me.
Yesterday - still getting the messages.
Today - still getting the messages.

Today - remove trusty tried and true Sony 8x4x32 cdrw (/dev/hdc)
Make Toshiba DVD-ROM drive master on secondary bus (it was /dev/hdd)
Install Sony DVD-RW burner (sony DW-D22A-B2) has slave (/dev/hdd)

The drivers/usb/input/hid-core.c messages have stopped.

I don't know very much about how the kernel/hardware work - but it
seems the ATAPI Sony CDRW is what was related to the usb error message.
Comment 2 Michael A. Peters 2004-12-11 04:13:23 EST
It came back - nothing to do with the atapi drives, it's dependent
upon which usb port the mouse is plugged into (which changed when I
did the hardware change)

So it's gone again now - but that's the issue, which port the mouse is
plugged into.
Comment 3 Ben Stringer 2005-01-03 01:59:43 EST
I have also seen this, within 15 minutes of upgrading from FC1 to FC3.
The mouse is a Microsoft Optical mouse, and it stopped responding,
apparently for no reason. Changing the USB port got it working again. 
From /var/log/messages:

Jan  3 17:30:47 localhost kernel: drivers/usb/input/hid-core.c: input
irq status -84 received
Jan  3 17:30:47 localhost last message repeated 2 times
Jan  3 17:30:47 localhost kernel: hub 1-0:1.0: port 2 disabled by hub
(EMI?), re-enabling...
Jan  3 17:30:47 localhost kernel: usb 1-2: USB disconnect, address 2
Jan  3 17:30:47 localhost hal.hotplug[4862]: DEVPATH is not set
Jan  3 17:30:47 localhost kernel: usb 1-2: new low speed USB device
using address 3
Jan  3 17:30:47 localhost hal.hotplug[4867]: DEVPATH is not set
Jan  3 17:30:47 localhost kernel: input: USB HID v1.10 Mouse
[Microsoft Basic Optical Mouse] on usb-0000:00:04.2-2

Then after moving the mouse to another port:

Jan  3 17:55:12 localhost kernel: usb 1-2: USB disconnect, address 3
Jan  3 17:55:12 localhost hal.hotplug[5144]: DEVPATH is not set
Jan  3 17:55:13 localhost kernel: usb 1-2: new low speed USB device
using address 4
Jan  3 17:55:13 localhost kernel: input: USB HID v1.10 Mouse
[Microsoft Basic Optical Mouse] on usb-0000:00:04.2-2
Jan  3 17:55:13 localhost hal.hotplug[5229]: DEVPATH is not set
Jan  3 17:55:44 localhost kernel: usb 1-2: USB disconnect, address 4
Jan  3 17:55:44 localhost hal.hotplug[5322]: DEVPATH is not set
Jan  3 17:55:55 localhost kernel: usb 1-1: new low speed USB device
using address 5
Jan  3 17:55:55 localhost kernel: input: USB HID v1.10 Mouse
[Microsoft Basic Optical Mouse] on usb-0000:00:04.2-1

I'll report if this continues to occur for me with the mouse in the
new USB port.

I am seeing this on a non-athlon system - it is a dual processor P3
system.
Comment 4 Keith McDuffee 2005-02-10 09:17:00 EST
I'm seeing the same errors and have also concluded that it has
something to do with the mouse.  I have the mouse attached to a USB
hub, then to one of the system's USB ports.  I'm able to get the mouse
going again if I just unplug the mouse and plug it back into the same
port again.

I'm using a Logitech cordless optical mouse.
Comment 5 Dave Jones 2005-07-15 13:43:15 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 20:10:35 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.